Name:           perl-DateManip
Version:        5.42
Release:        0.fdr.2.a.rh90
Epoch:          0
Summary:        Date manipulation routines for Perl

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/DateManip/
Source0:       http://www.cpan.org/authors/id/S/SB/SBECK/DateManip-5.42a.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl

%description
DateManip provides a set of routines designed to make any common
date/time manipulation easy to do. Operations such as comparing two
times, calculating a time a given amount of time from another, or
parsing international times are all easily done. From the very
beginning, the main focus of Date::Manip has been to be able to do ANY
desired date/time operation easily, not necessarily quickly.


%prep
%setup -q -n DateManip-%{version}a


%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS"
PERL_HASH_SEED=0 make test


%install
rm -rf $RPM_BUILD_ROOT
make install \
  PERL_INSTALL_ROOT=$RPM_BUILD_ROOT \
  INSTALLARCHLIB=$RPM_BUILD_ROOT%{perl_archlib}
find $RPM_BUILD_ROOT -type f -a \( -name perllocal.pod -o -name .packlist \
  -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc HISTORY README TODO
%{_libdir}/perl*/*
%{_mandir}/man3/Date*.3*


%changelog
* Thu Oct  2 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:5.42-0.fdr.2.a
- Use PERL_HASH_SEED=0 with "make test" for Perl 5.8.1 compatibility.

* Sun Sep 14 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:5.42-0.fdr.1.a
- First build.
